# Created by pyp2rpm-3.3.5
%global pypi_name tblib

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 4
Summary:        Traceback serialization library
Group:          Development/Python
License:        BSD-2-Clause
URL:            https://github.com/ionelmc/python-tblib
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# fix tests
Patch:          https://github.com/ionelmc/python-tblib/commit/04dc5426812c508a10774122450acf386e546dbf.patch
Patch:          https://github.com/ionelmc/python-tblib/commit/66e14cdd101e4214cca6acca8f48b9abe4f75729.patch
# https://github.com/ionelmc/python-tblib/pull/78
# Even harder location stripping for Python 3.13
Patch:          0001-test_pickle_exception-even-harder-location-stripping.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%description
Serialization library for Exceptions and Tracebacks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Serialization library for Exceptions and Tracebacks.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest -ra tests -vvv

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst docs/readme.rst


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 3.0.0-4.mga10
+ Revision: 2156710
- fix tests
+ wally <wally>
- rebuild for python3.13

* Sat Jan 11 2025 papoteur <papoteur> 3.0.0-3.mga10
+ Revision: 2137106
- fix command and add patches for tests

* Fri Feb 23 2024 daviddavid <daviddavid> 3.0.0-2.mga10
+ Revision: 2043667
- rebuild for py3.12

* Mon Nov 06 2023 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2004826
- new 3.0.0

* Fri Sep 01 2023 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 1983116
- new 2.0.0

* Fri Dec 02 2022 papoteur <papoteur> 1.7.0-1.mga9
+ Revision: 1914008
- imported package python-tblib

